# Makefile.in generated automatically by automake 1.1l from Makefile.am

# Copyright (C) 1994, 1995, 1996 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@
target_alias = @target_alias@
build_alias = @build_alias@
host_triplet = @host@
target_triplet = @target@
build_triplet = @build@
host_alias = @host_alias@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
PACKAGE = @PACKAGE@
SYSTEM = @SYSTEM@
CC = @CC@
VERSION = @VERSION@
REVISION = @REVISION@

AUTOMAKE_OPTIONS = gnits
MAINT_CHARSET = latin1

INCLUDES = -I- 

noinst_HEADERS = globals.h address.h net.h config.h.in \
                 reply.h string.h bsd.h io.h peername.h \
                 message.h pstring.h spool.h utf7.h

EXTRA_DIST = snprintf.c

bin_PROGRAMS = sendfile sendmsg receive utf7encode
libexec_PROGRAMS = sendfiled

sendfile_SOURCES = sendfile.c message.c utf7.c pstring.c string.c io.c \
                   net.c spool.c address.c

sendmsg_SOURCES = sendmsg.c message.c utf7.c pstring.c string.c io.c \
                  net.c address.c

receive_SOURCES = receive.c message.c utf7.c pstring.c string.c io.c \
                  spool.c getdate.c

sendfiled_SOURCES = sendfiled.c message.c utf7.c pstring.c string.c io.c \
                    net.c spool.c peername.c reply.c

utf7encode_SOURCES = utf7encode.c message.c utf7.c pstring.c string.c
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = .././src/config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS) $(libexec_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I.././src
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
sendfile_OBJECTS =  sendfile.o message.o utf7.o pstring.o string.o io.o \
net.o spool.o address.o
sendfile_LDADD = $(LDADD)
sendfile_LDFLAGS = 
sendmsg_OBJECTS =  sendmsg.o message.o utf7.o pstring.o string.o io.o \
net.o address.o
sendmsg_LDADD = $(LDADD)
sendmsg_LDFLAGS = 
receive_OBJECTS =  receive.o message.o utf7.o pstring.o string.o io.o \
spool.o getdate.o
receive_LDADD = $(LDADD)
receive_LDFLAGS = 
utf7encode_OBJECTS =  utf7encode.o message.o utf7.o pstring.o string.o
utf7encode_LDADD = $(LDADD)
utf7encode_LDFLAGS = 
sendfiled_OBJECTS =  sendfiled.o message.o utf7.o pstring.o string.o \
io.o net.o spool.o peername.o reply.o
sendfiled_LDADD = $(LDADD)
sendfiled_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(LDFLAGS) -o $@
HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) \
	$(TEXINFOS) $(MANS) $(EXTRA_DIST)

TAR = tar
SOURCES = $(sendfile_SOURCES) $(sendmsg_SOURCES) $(receive_SOURCES) $(utf7encode_SOURCES) $(sendfiled_SOURCES)
OBJECTS = $(sendfile_OBJECTS) $(sendmsg_OBJECTS) $(receive_OBJECTS) $(utf7encode_OBJECTS) $(sendfiled_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL) 
	cd $(top_srcdir) && automake --gnits src/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	$(NORMAL_INSTALL)
	$(mkinstalldirs) $(bindir)
	@list="$(bin_PROGRAMS)"; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	list="$(bin_PROGRAMS)"; for p in $$list; do \
	  rm -f $(bindir)/`echo $$p|sed '$(transform)'`; \
	done

mostlyclean-libexecPROGRAMS:

clean-libexecPROGRAMS:
	test -z "$(libexec_PROGRAMS)" || rm -f $(libexec_PROGRAMS)

distclean-libexecPROGRAMS:

maintainer-clean-libexecPROGRAMS:

install-libexecPROGRAMS: $(libexec_PROGRAMS)
	$(NORMAL_INSTALL)
	$(mkinstalldirs) $(libexecdir)
	@list="$(libexec_PROGRAMS)"; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_PROGRAM) $$p $(libexecdir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(libexecdir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-libexecPROGRAMS:
	list="$(libexec_PROGRAMS)"; for p in $$list; do \
	  rm -f $(libexecdir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:
$(sendfile_OBJECTS): .././src/config.h

sendfile: $(sendfile_OBJECTS) $(sendfile_DEPENDENCIES)
	$(LINK) $(sendfile_LDFLAGS) $(sendfile_OBJECTS) $(sendfile_LDADD) $(LIBS)
$(sendmsg_OBJECTS): .././src/config.h

sendmsg: $(sendmsg_OBJECTS) $(sendmsg_DEPENDENCIES)
	$(LINK) $(sendmsg_LDFLAGS) $(sendmsg_OBJECTS) $(sendmsg_LDADD) $(LIBS)
$(receive_OBJECTS): .././src/config.h

receive: $(receive_OBJECTS) $(receive_DEPENDENCIES)
	$(LINK) $(receive_LDFLAGS) $(receive_OBJECTS) $(receive_LDADD) $(LIBS)
$(utf7encode_OBJECTS): .././src/config.h

utf7encode: $(utf7encode_OBJECTS) $(utf7encode_DEPENDENCIES)
	$(LINK) $(utf7encode_LDFLAGS) $(utf7encode_OBJECTS) $(utf7encode_LDADD) $(LIBS)
$(sendfiled_OBJECTS): .././src/config.h

sendfiled: $(sendfiled_OBJECTS) $(sendfiled_DEPENDENCIES)
	$(LINK) $(sendfiled_LDFLAGS) $(sendfiled_OBJECTS) $(sendfiled_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	list="$(SUBDIRS)"; for subdir in $$list; do \
	  test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	done; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src
distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
address.o address.lo: address.c config.h globals.h string.h net.h utf7.h \
	pstring.h message.h address.h
getdate.o getdate.lo: getdate.c
io.o io.lo: io.c config.h globals.h io.h net.h string.h message.h
message.o message.lo: message.c globals.h message.h string.h config.h
net.o net.lo: net.c config.h globals.h string.h message.h net.h io.h
peername.o peername.lo: peername.c peername.h string.h config.h \
	globals.h
pstring.o pstring.lo: pstring.c pstring.h
receive.o receive.lo: receive.c config.h globals.h message.h utf7.h \
	pstring.h io.h string.h spool.h
reply.o reply.lo: reply.c config.h globals.h string.h
sendfile.o sendfile.lo: sendfile.c config.h globals.h string.h net.h \
	io.h message.h spool.h utf7.h pstring.h address.h
sendfiled.o sendfiled.lo: sendfiled.c config.h globals.h reply.h \
	peername.h string.h spool.h net.h io.h utf7.h pstring.h
sendmsg.o sendmsg.lo: sendmsg.c config.h globals.h string.h net.h io.h \
	message.h utf7.h pstring.h address.h
spool.o spool.lo: spool.c config.h globals.h spool.h utf7.h pstring.h \
	message.h string.h reply.h
string.o string.lo: string.c string.h config.h globals.h
utf7.o utf7.lo: utf7.c string.h config.h globals.h utf7.h pstring.h
utf7encode.o utf7encode.lo: utf7encode.c config.h globals.h message.h \
	utf7.h pstring.h string.h

info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: install-binPROGRAMS install-libexecPROGRAMS
	$(NORMAL_INSTALL)
	$(MAKE) install-exec-hook

install-data: 
	$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-binPROGRAMS uninstall-libexecPROGRAMS

all: $(PROGRAMS) $(HEADERS) Makefile

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install
installdirs:
	$(mkinstalldirs)  $(bindir) $(libexecdir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-binPROGRAMS mostlyclean-libexecPROGRAMS \
		mostlyclean-compile mostlyclean-tags \
		mostlyclean-generic

clean:  clean-binPROGRAMS clean-libexecPROGRAMS clean-compile clean-tags \
		clean-generic mostlyclean

distclean:  distclean-binPROGRAMS distclean-libexecPROGRAMS \
		distclean-compile distclean-tags distclean-generic \
		clean
	rm -f config.status

maintainer-clean:  maintainer-clean-binPROGRAMS \
		maintainer-clean-libexecPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default mostlyclean-binPROGRAMS distclean-binPROGRAMS \
clean-binPROGRAMS maintainer-clean-binPROGRAMS uninstall-binPROGRAMS \
install-binPROGRAMS mostlyclean-libexecPROGRAMS \
distclean-libexecPROGRAMS clean-libexecPROGRAMS \
maintainer-clean-libexecPROGRAMS uninstall-libexecPROGRAMS \
install-libexecPROGRAMS mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


install-exec-hook:
	$(RM) $(bindir)/utf7decode
	@ln -s $(bindir)/utf7encode $(bindir)/utf7decode

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
